%global packname  gdtools
%global rlibdir  %{_libdir}/R/library


Name:             R-%{packname}
Version:          0.1.7
Release:          4%{?dist}
Summary:          Utilities for Graphical Rendering

License:          GPLv3
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-Rcpp R-withr
# Suggests:  R-htmltools R-testthat R-fontquiver R-curl
# LinkingTo:
# Enhances:

Requires:         R-Rcpp R-withr
Suggests:         R-htmltools R-fontquiver

BuildRequires:    R-devel tex(latex)
BuildRequires:    R-Rcpp-devel R-withr
BuildRequires:    cairo-devel
BuildRequires:    R-htmltools R-testthat

%description
Useful tools for writing vector graphics devices.


%package devel
Summary:          Development files for %{name}
Requires:         %{name}%{?_isa} = %{version}-%{release}
%description devel
Development files for %{name}.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
# Don't need fontquiver or curl.
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/fontconfig
%{rlibdir}/%{packname}/libs

%files devel
%{rlibdir}/%{packname}/include


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 17 2018 Tom Callaway <spot@fedoraproject.org> - 0.1.7-3
- rebuild for R 3.5.0

* Sun Mar 18 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.7-2
- Add missing Rcpp Requires.

* Thu Mar 08 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.1.7-1
- initial package for Fedora
